Bug 1578664 - Enable Native Ceph support on non x86_64 CPUs
Summary: Enable Native Ceph support on non x86_64 CPUs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: ppc64le
OS: Linux
high
unspecified
Target Milestone: rc
: 7.6
Assignee: Serhii Popovych
QA Contact: Yongxue Hong
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1481451 RHOS-13-ppc64le 1578855 1588001
TreeView+ depends on / blocked
 
Reported: 2018-05-16 06:24 UTC by Tony Breeds
Modified: 2018-11-01 11:09 UTC (History)
15 users (show)

(edit)
With this update, Ceph storage is supported by KVM virtualization on all CPU architectures supported by Red Hat.
Clone Of:
: 1578855 1588001 (view as bug list)
(edit)
Last Closed: 2018-11-01 11:09:52 UTC


Attachments (Terms of Use)
Enable Native Ceph support on all architectures (941 bytes, patch)
2018-05-16 06:29 UTC, Tony Breeds
no flags Details | Diff

Description Tony Breeds 2018-05-16 06:24:50 UTC
In Bug 1140742 when native Ceph support was added it was done only on x86_64.  As we enable MultiArch support in Red Hat OpenStack[1] (RHOS) we need to support native Ceph in qemu.  This should be safe to add on all architectures now since the ceph libraries are available in RHEL-7.5+

We need this fixed for all all rhel releases >= 7.5, I'm not sure if one bug is adequate for that or if I need to clone this.

[1] RHOS cross-tags rhev builds

Comment 2 Tony Breeds 2018-05-16 06:29 UTC
Created attachment 1437140 [details]
Enable Native Ceph support on all architectures

Comment 3 Tony Breeds 2018-05-16 06:31:45 UTC
I have done a scratch build against 7.5 with the attached patch as a PoC

See: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=16310436

Looking at the build logs for ppc64le and aarch64 shows "librados.so.2()(64bit) librbd.so.1()(64bit)" in the Requires

Comment 7 Miroslav Rezanina 2018-06-01 09:09:48 UTC
Fix included in qemu-kvm-rhev-2.12.0-3.el7

Comment 11 errata-xmlrpc 2018-11-01 11:09:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.